org.apache.ignite.internal.processors.cache.distributed

## Class GridDistributedLockCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedLockCancelledException

All Implemented Interfaces:
  Serializable

    public class GridDistributedLockCancelledException
    extends Exception

Exception thrown whenever an attempt is made to acquire a cancelled lock.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridDistributedLockCancelledException()`
`GridDistributedLockCancelledException(String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDistributedLockCancelledException

    public GridDistributedLockCancelledException()

#### GridDistributedLockCancelledException

    public GridDistributedLockCancelledException(String msg)

Parameters:
  `msg` - Message.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015